Subject: t3203: --sort=objectsize failure on Windows

From: Johannes Sixt <[email-masked]>
Date: Sat, 24 Oct 2015 09:49:27 +0200

On Windows, I observe a failure of the test case 'git branch `--sort` 
option' introduced by aedcb7dc (branch.c: use 'ref-filter' APIs). The 
reason is that the resulting order generated by qsort is unspecified for 
entries that compare equal. In fact, the test case sorts 4 entries where 
there are only 2 different values.

To achieve a deterministic order, perhaps cmp_ref_sorting() should fall 
back to alphabetic comparison if the other criterion (when used) 
compares equal?

-- Hannes